import os

import testinfra.utils.ansible_runner

import warnings
warnings.filterwarnings("ignore", category=DeprecationWarning)

testinfra_hosts = testinfra.utils.ansible_runner.AnsibleRunner(
    os.environ['MOLECULE_INVENTORY_FILE']).get_hosts('all')


def test_postgres_is_installed(host):
    postgres = host.package("postgresql10-server")
    assert postgres.is_installed


def test_postgres_running_and_enabled(host):
    postgres = host.service("postgresql-10")
    assert postgres.is_running
    assert postgres.is_enabled


def test_postgres_socket(host):
    # Verify the socket is listening for HTTP traffic
    assert host.socket("tcp://127.0.0.1:5432").is_listening
